#!/bin/sh

DURATION="${INTERVAL:=900}"
while :
do
  if ! [ -f /var/log/napp/supportbundle/supportbundle_in_progress ]; then
    echo "Running logrotate every $DURATION seconds..."
    logrotate -s /tmp/logrotate.status /opt/nsxi/logrotate.conf.d/logrotate.conf

    echo "Checking disk usage..."
    disk_usage=`df -m /var/log/napp/supportbundle | awk 'BEGIN{print "Use%"} {percent+=$5;} END{print percent}' | awk 'END{print}'`
    if [ "$disk_usage" -gt 90 ]; then
        echo "Disk size > 90%, removing logs older than 2 days..";
        find /var/log/napp/supportbundle -type f -mtime +2 -exec rm -f {} +
        echo 'removed stale daily logs'
    fi

    sleep $DURATION
  else
  	echo "Skipping logrotate during support bundle collection"
    sleep $DURATION
  fi
done
